import { deployApi } from "./deployApi";

const enhancedApiWithTags = deployApi.enhanceEndpoints({
  addTagTypes: [
    "StartJob",
    "UpdateIOC",
    "UpdateActiveDeploymentHost",
    "UndeployInDB",
    "DeleteIOC"
  ],
  endpoints: {
    getIoc: {
      providesTags: [
        "StartJob",
        "UpdateIOC",
        "UpdateActiveDeploymentHost",
        "UndeployInDB",
        "DeleteIOC"
      ]
    },
    listJobs: { providesTags: ["StartJob"] },
    startJob: { invalidatesTags: ["StartJob"] },
    updateIoc: { invalidatesTags: ["UpdateIOC"] },
    updateActiveDeploymentHost: {
      invalidatesTags: ["UpdateActiveDeploymentHost"]
    },
    unDeployInDb: { invalidatesTags: ["UndeployInDB"] },
    deleteIoc: { invalidatesTags: ["DeleteIOC"] }
  }
});

export const {
  useGetIocQuery,
  useListJobsQuery,
  useStartJobMutation,
  useUpdateIocMutation,
  useUpdateActiveDeploymentHostMutation,
  useUnDeployInDbMutation,
  useDeleteIocMutation
} = enhancedApiWithTags;
